#!/bin/env python
# -*- coding: utf-8 -*-

import LoadConfig
config = LoadConfig.LoadConfig()
from ErrorsHandler import *

print config.player
def AudioPlayer():
    if config.player == 'xmms':
        try:
            logger.info("Using XMMS as player backend (according to config)")
            from audio_xmms import OggPlayer
        except:
            logger.info("XMMS not detected!!, switching to GStreamer backend")
            from audio_gst import OggPlayer
    elif config.player == 'gst':
        logger.info("Using GStreamer as player backend (according to config)")
        from audio_gst import OggPlayer

    return OggPlayer()
