#!/usr/bin/python
# -*- coding: utf-8 -*-

import  sys
sys.path.append('..')
import  LoadConfig

import  MySQLdb

import  wx
from JoyConfPanel import *
import Msg

#----------------------------------------------------------------------
class JoyConf(wx.Frame):
    def __init__(self, parent):
	#wx.Frame.__init__(self, None, -1, title, size=s, style=wx.DEFAULT_FRAME_STYLE | wx.STAY_ON_TOP)
        if parent.stick.count < 1:
            print "at JoyConfPanel() no joystick found, not opening"
            #Msg.Msg('JoyConf', 'No joystick detected!', 'JoyConf', 330, 210, 0, None)
            return

	wx.Frame.__init__(self, None, -1, "Burn Station - Joystick Configuration", size=wx.Size(800,600), style=wx.DEFAULT_FRAME_STYLE)

        self.Bind(wx.EVT_CLOSE, self.OnCloseWindow)

        self.parent = parent
        self.config = LoadConfig.LoadConfig()
        self.FocusManager = parent.FocusManager
	self.FocusManager.Register("JoyConf", self)
	self.FocusManager.SetFocus("JoyConf")

        self.sizer = wx.BoxSizer(wx.VERTICAL)

        self.p = wx.Panel(self, -1)

        self.Panel = JoyConfPanel(self)
        self.Bind(wx.EVT_BUTTON, self.OnDone, self.Panel.b)
        self.sizer.Add((100, 0))
        self.sizer.Add(self.Panel, 1, wx.ALIGN_CENTER_VERTICAL|wx.ALIGN_CENTER_HORIZONTAL)
        self.sizer.Add((100, 0))

        self.SetSizer(self.sizer)
        self.SetAutoLayout(True)
        self.sizer.Fit(self.p)

        self.Centre(wx.BOTH)
        self.Show(True)

    def OnDone(self, evt):
	print "Done configuring joystick!"

        # FIXME should get it from table
        joytype = self.parent.stick.JoyInfo['id']

        db = MySQLdb.connect(host=self.config.DBhost, user=self.config.DBuser, passwd=self.config.DBpass, db=self.config.DB)
        db.set_character_set('utf8')

	for action in self.Panel.joymap.keys():
            val = int(self.Panel.actions['t_'+action].GetValue())

            sql = "UPDATE joymap SET button = '%i' WHERE action = '%s' AND joystick = '%i'" % (val, action, joytype)
            cursor = db.cursor()
            cursor.execute(sql)

        db.close()

        self.OnCloseWindow(None)

    def OnCloseWindow(self, evt):
       self.Show(False)
       self.parent.ReloadConfig()
       self.Destroy()

