#!/bin/env python
# -*- coding: utf-8 -*-

from ErrorsHandler import *

import  wx
from MiscTools import *

import FocusManager

#---------------------------------------------------------------------------
class MyMiniFrame(wx.MiniFrame):
    def __init__(self, parent, title, image, pos, size=wx.DefaultSize, style= wx.WANTS_CHARS|wx.STAY_ON_TOP):

        self.FocusManager = FocusManager.manager

        wx.MiniFrame.__init__(self, parent, -1, 'Press SCROLL to close this image!', pos, size, style)
        self.panel = wx.Panel(self, -1)

	image = convert2bitmap(image)
        self.img = wx.StaticBitmap(self.panel, -1, image)
        self.img.SetPosition(wx.Point(0,0))
	w = image.GetWidth()
	h = image.GetHeight()
        self.SetSize((w+10, h+20))

        self.SetPosition(config.imgpos)
	w = self.GetSizeTuple().__getitem__(0)
	h = self.GetSizeTuple().__getitem__(1)

        self.Show(True)
        self.isVisible = True

    def OnCloseMe(self, event):
        self.Close(True)

    def OnCloseWindow(self, event):
        print "OnCloseWindow"
        self.Destroy()

    def SetImage(self, image):
	image = convert2bitmap(image)
        self.img.SetBitmap(image)
        self.img.SetPosition(wx.Point(0,0))
	w = image.GetWidth()
	h = image.GetHeight()
        self.SetSize((w+10, h+20))
        self.Show(True)
        self.isVisible = True

    def Hide(self):
        self.Show(False)
        self.isVisible = False
