
import logging
import  LoadConfig
config = LoadConfig.LoadConfig()

class MyLogger:
    def __init__(self):
        # define the log file
        MainLog = config.logPath + '/Main.log'

        self.logger = logging.getLogger('Burnstation')
        handler = logging.FileHandler(MainLog)

        formatter = logging.Formatter('%(asctime)s %(levelname)s %(message)s')
        handler.setFormatter(formatter)

        self.logger.addHandler(handler)
        self.logger.setLevel(logging.DEBUG)

    def debug(self, s):
        self.logger.debug("MyLogger: " + str(s))

    def warn(self, s):
        self.logger.warn("MyLogger: " + str(s))

    def info(self, s):
        self.logger.info("MyLogger: " + str(s))


