#----------------------------------------------------------------------------
# Name:         ImageBrowser.py
# Purpose:      Image Selection dialog for wxPython demo
#
# Author:       Lorne White (email: lorne.white@telusplanet.net)
#
# Version       0.5
# Date:         Feb 26, 2001
# Licence:      wxWindows license
#----------------------------------------------------------------------------

import  os

import  wx
import  wx.lib.imagebrowser    as  ib

#---------------------------------------------------------------------------

class ImageBrowser(wx.Frame):
    def __init__(self, parent):
        wx.Frame.__init__(self, parent, -1)

    def pop(self):
        # get current working directory
        #dir = os.getcwd()
        dir = "/home/rama/from_bak/laptop-backup/laptop-backup/bak2/externals/pidip/patches/images/"

        # set the initial directory for the demo bitmaps
        initial_dir = os.path.join(dir, 'bitmaps')

        # open the image browser dialog
        dlg = ib.ImageDialog(self, initial_dir)

        dlg.Centre()

        if dlg.ShowModal() == wx.ID_OK: self.imgPath = dlg.GetFile()
        else: dlg.Destroy()


#---------------------------------------------------------------------------


def runTest(frame, nb, log):
    win = TestPanel(nb, log)
    return win

    
#---------------------------------------------------------------------------


overview = """\
"""

if __name__ == '__main__':
    import sys,os
    import run
    run.main(['', os.path.basename(sys.argv[0])] + sys.argv[1:])

