#!/usr/bin/python
# -*- coding: utf-8 -*-

import  sys
sys.path.append('..')
import  LoadConfig
from ImportCommon import *

import  wx
import  wx.wizard as wiz
import  images
from UserRegister import UserRegister
from UserLogin import UserLogin
import dirlist

#----------------------------------------------------------------------

class TestPanel(wx.Panel):
    def __init__(self, parent, log):
        self.config = LoadConfig.LoadConfig()
        self.log = log
        p = wx.Panel.__init__(self, parent, -1, size=wx.Size(500,500))

     #   b = wx.Button(self, -1, "Run Simple Wizard", pos=(50, 50))
      #  self.Bind(wx.EVT_BUTTON, self.OnRunSimpleWizard, b)

       # b = wx.Button(self, -1, "Run Dynamic Wizard", pos=(50, 100))
       # self.Bind(wx.EVT_BUTTON, self.OnRunDynamicWizard, b)

       # self.Bind(wiz.EVT_WIZARD_PAGE_CHANGED, self.OnWizPageChanged)
       # self.Bind(wiz.EVT_WIZARD_PAGE_CHANGING, self.OnWizPageChanging)
       # self.Bind(wiz.EVT_WIZARD_CANCEL, self.OnWizCancel)

        self.sizer = sizer = wx.BoxSizer(wx.HORIZONTAL)

        self.login = UserLogin(self, -1)
        self.Bind(wx.EVT_BUTTON, self.OnLogin, self.login.b)
        #self.Bind(wx.EVT_TEXT_ENTER, self.OnLogin, self.login.t1)
        sizer.Add((100, 0))
        sizer.Add(self.login, 1, wx.ALIGN_CENTER_VERTICAL|wx.ALIGN_CENTER_HORIZONTAL)
        sizer.Add((100, 0))

        self.SetSizer(sizer)
        self.SetAutoLayout(True)
        sizer.Fit(self)

    def OnLogin(self, evt):
        #self.login.OnGetPassword(evt)
        self.userEmail = self.login.userData['email']
        check = self.login.CheckUser(self.login.OnGetEmail(None))
        if check:
            self.userEmail = self.login.OnGetEmail(None)
	    debug2("should ask password now..")
            self.password = self.login.GetPassword(self)
            self.Bind(wx.EVT_BUTTON, self.__CheckPass, self.login.b)

        else:
            debug2("should popup register win now")
            self.sizer.Detach (0)
            self.sizer.Detach (0)
            self.sizer.Detach (0)
            self.login.Destroy()
            self.register = UserRegister(self)
            self.sizer.Add((100, 0))
            self.sizer.Add(self.register, 1, wx.ALIGN_CENTER_VERTICAL|wx.ALIGN_CENTER_HORIZONTAL)
            self.sizer.Add((100, 0))
            self.sizer.Layout()
            self.sizer.RecalcSizes()

    def __CheckPass(self, evt):
        if self.login.CheckPass(self.login.OnGetPassword(evt)):
	    self.userInfo = {}
	    self.userInfo = self.login.GetUserInfo(self.userEmail)
            self.sizer.Detach (0)
            self.sizer.Detach (0)
            self.sizer.Detach (0)
            self.login.Destroy()
            self.dirlist = dirlist.DirList(self)
            self.sizer.Add(self.dirlist, 1, wx.ALIGN_CENTER_HORIZONTAL|wx.EXPAND)
            self.sizer.Layout()
            self.sizer.RecalcSizes()
	else: debug1( "login failed" )
        #if self.login.CheckPass(evt): print "go to next screen"
	#else: print "login failed"

#----------------------------------------------------------------------

def runTest(frame, nb, log):
    win = TestPanel(nb, log)
    return win

#----------------------------------------------------------------------



overview = """<html><body>
<h2><center>wxWizard</center></h2>

wxWizard is the central class for implementing 'wizard-like'
dialogs. These dialogs are mostly familiar to Windows users and are
nothing else but a sequence of 'pages' each of them displayed inside a
dialog which has the buttons to pass to the next (and previous) pages.
<p>
The wizards are typically used to decompose a complex dialog into
several simple steps and are mainly useful to the novice users, hence
it is important to keep them as simple as possible.

</body></html>
"""



if __name__ == '__main__':
    import sys,os
    import run
    run.main(['', os.path.basename(sys.argv[0])] + sys.argv[1:])

