#!/usr/bin/python
# -*- coding: utf-8 -*-

import  MySQLdb
import  sys
sys.path.append('..')
import  wx
import  LoadConfig

from DB import DB
DB = DB()

from ErrorsHandler import *

from ImportCommon import *

from UserRegister import UserRegister

#---------------------------------------------------------------------------

class UserLogin(wx.Panel):
    def OnSetFocus(self, evt):
        print "OnSetFocus"
        evt.Skip()
    def OnKillFocus(self, evt):
        print "OnKillFocus"
        evt.Skip()
    def OnWindowDestroy(self, evt):
        print "OnWindowDestroy"
        evt.Skip()


    def __init__(self, parent, fn):
        wx.Panel.__init__(self, parent, -1, size=wx.Size(400,200), style = wx.TAB_TRAVERSAL)
	self.fn = fn

        self.config = LoadConfig.LoadConfig()

        sizer = wx.BoxSizer(wx.VERTICAL)

	self.userData = {'email' : 'admin@burnstation.org' }

        self.l1 = l1 = wx.StaticText(self, -1, "E-mail")
        #self.t1 = t1 = wx.TextCtrl(self, -1, self.userData['email'], style=wx.TE_PROCESS_ENTER)
        self.t1 = t1 = wx.TextCtrl(self, -1, self.userData['email'], size=wx.Size(300,20),
                                   style=wx.TE_PROCESS_ENTER|wx.TAB_TRAVERSAL|wx.TE_PROCESS_TAB)
        wx.CallAfter(t1.SetInsertionPoint, 0)

        #self.Bind(wx.EVT_TEXT, self.EvtText, t1)
        self.Bind(wx.EVT_CHAR, self.EvtChar)
        t1.Bind(wx.EVT_CHAR, self.EvtChar)
        #t1.Bind(wx.EVT_SET_FOCUS, self.OnSetFocus)
        #t1.Bind(wx.EVT_KILL_FOCUS, self.OnKillFocus)
        #t1.Bind(wx.EVT_WINDOW_DESTROY, self.OnWindowDestroy)

        self.b = wx.Button(self, -1, "Login")
        self.b.SetDefault()
        #self.Bind(wx.EVT_BUTTON, self.OnLogin, self.b)

        space = 25

        sizer = wx.FlexGridSizer(cols=2, hgap=space, vgap=0)
        sizer.AddGrowableCol(1, 1)
        sizer.Add(l1, 1, wx.ALIGN_CENTER)
        sizer.Add(t1, 1, wx.GROW|wx.BOTTOM)

        vsizer = wx.BoxSizer(wx.VERTICAL)
        vsizer.Add(sizer, 0, wx.EXPAND)
        vsizer.Add((0, 25))
        vsizer.Add(self.b, 0, wx.EXPAND, space)

        self.SetSizer(vsizer)
        self.SetAutoLayout(True)
        vsizer.Fit(self)

    def GetPassword(self, parent):
        logger.debug2( "Getting password input from user" )
        self.config = LoadConfig.LoadConfig()

	self.userData = {'email' : 'admin@burnstation.org' }

        self.l1.SetLabel("Password")
        self.t1.Clear()
        self.t1.AppendText("burn")
        wx.CallAfter(self.t1.SetInsertionPoint, 0)

        #self.Bind(wx.EVT_TEXT, self.EvtText, t1)
        self.t1.Bind(wx.EVT_CHAR, self.EvtChar)
        #t1.Bind(wx.EVT_SET_FOCUS, self.OnSetFocus)
        #t1.Bind(wx.EVT_KILL_FOCUS, self.OnKillFocus)
        #t1.Bind(wx.EVT_WINDOW_DESTROY, self.OnWindowDestroy)

        self.b.SetLabel("Ok")
        #self.Bind(wx.EVT_BUTTON, self.OnLogin, self.b)

    def EvtText(self, event):
        #self.log.WriteText('EvtText: %s\n' % event.GetString())
        print 'EvtText: %s\n' % event.GetString()

    def EvtTextEnter(self, event):
        #self.log.WriteText('EvtTextEnter\n')
        print 'EvtTextEnter\n'
        event.Skip()

    def EvtChar(self, event):
        keycode = event.GetKeyCode()
        print "in UserLogin() an EvtChar() occurred: %s" % keycode
	
        if keycode == 13:
            self.OnGetEmail(event)
        event.Skip()

    def OnGetPassword(self, evt):
        self.userData['password']    = self.t1.GetValue()
	return self.userData['password']

    def OnGetEmail(self, evt):
        self.userData['email']    = self.t1.GetValue()
	return self.userData['email']
        #self.tc.Remove(5, 9)

    #def OnLogin(self, evt):
    #    self.OnGetValues(evt)
    #    print "should check database now.."
    #    self.CheckUser(self.userData['email'])

        #print self.userData['email']

    def CheckPass(self, password):
        logger.debug1( "checking password at UserLogin.CheckPass()..." )

        db = DB.connect()
        cursor = db.cursor()
        sql = "SELECT id FROM netjuke_users WHERE password=md5('%s')" % password
        cursor.execute(sql)
        result = cursor.fetchall()
	record = None
	for record in result:
	    logger.debug5( "in UserLogin.CheckPass(): rowcount = %i" % cursor.rowcount )

        if cursor.rowcount <= 0:
            return False
        else:
	    return True
            self.Destroy()

    def CheckUser(self, email):
        logger.debug2( "Checking if user exists..." )
        db = DB.connect()
        cursor = db.cursor()
        sql = "SELECT id FROM netjuke_users WHERE email='%s'" % email
        logger.debug99( "Using SQL query: " + sql )
        cursor.execute(sql)
        result = cursor.fetchall()
	record = None
        if cursor.rowcount <= 0:
            logger.debug5( "Not found!" )
	    return False
            #elif cursor.rowcount > 0:
        else:
            logger.debug5( "Yes, found!" )
            return True

    def GetUserInfo(self, email):
        logger.debug2( "Getting user info..." )
        db = DB.connect()
        cursor = db.cursor()
        sql = "/* GetUserInfo() */ SELECT id, nickname FROM netjuke_users WHERE email = '%s'" % email
        cursor.execute(sql)
        result = cursor.fetchall()

        userInfo = {}

	record = None
	for record in result:
	    userInfo['ID'] = record[0]
	    userInfo['nickname'] = record[1]
	    userInfo['home'] = self.config.musicPath + userInfo['nickname']
	    userInfo['spoolDir'] = self.config.spoolPath + userInfo['nickname']
	
	return userInfo

#---------------------------------------------------------------------------

