import Database

class Browser:
    '''Get and build the list of contents to browse'''
    def __init__(self, level='', itemID=0):
        self.level = level
        self.itemID = itemID

    def getList(self, itemID=0, index=0):
        '''Get the list of items to be displayed'''
        if self.level == '':
            items = Database.GetLabels()
            self.level = 'labels'
            return items
        if self.level == 'labels':
            items = Database.GetArtists(itemID)
            self.level   = 'artists'
            self.labelID = itemID
            self.labelIndex = index
            return items
        elif self.level == 'artists':
            items = Database.GetAlbums(self.labelID, itemID)
            self.level = 'albums'
            self.artistID = itemID
            self.artistIndex = index
            return items
        elif self.level == 'albums':
            items = Database.GetTracks(self.labelID, self.artistID, itemID)
            self.level = 'tracks'
            self.albumID = itemID
            self.albumIndex = index
            return items

        elif self.level == 'playlist' or self.level == 'playlist_tracks':
            if itemID == 0 and self.itemID > 0 : itemID = self.itemID
            items = Database.GetPlaylist(itemID)
            self.level = 'playlist_tracks'
            return items

    def Back(self):
        if self.level == 'artists':
            items = Database.GetLabels()
            self.level = 'labels'
            return { 'list':items, 'index':self.labelIndex }
        elif self.level == 'albums':
            items = Database.GetArtists(self.labelID)
            self.level   = 'artists'
            return { 'list':items, 'index':self.artistIndex }
        elif self.level == 'tracks':
            items = Database.GetAlbums(self.labelID, self.artistID)
            self.level = 'albums'
            return { 'list':items, 'index':self.albumIndex }
        else: return

        '''
        elif level == "tracks":
            print "track path: " + str(self.itemsList[self.selected])
            #cmd = "mplayer -ao alsa:noblock:device=hw=1.0 %s" % self.itemsList[self.selected]['location']
            cmd = "mplayer %s" % self.itemsList[self.selected]['location']
            print "Playing track: " + cmd
            os.system(cmd)
        '''

