#!/usr/bin/python
# -*- coding: utf-8 -*-

import wx
import FocusManager
import LoadConfig
config = LoadConfig.LoadConfig()

class Msg(wx.Frame):
    def __init__(self, title, message, name, h, w, buttPos):
        self.name = name
	s         = wx.Size(int(h), int(w))
        self.font = wx.Font(config.fontSize, wx.FONTFAMILY_DEFAULT,wx.FONTSTYLE_NORMAL,wx.FONTWEIGHT_NORMAL)

	wx.Frame.__init__(self, None, -1, title, size=s,
                          style=wx.DEFAULT_FRAME_STYLE | wx.STAY_ON_TOP)
     
	sizer = wx.BoxSizer(wx.VERTICAL)

        p = wx.Panel(self, -1)
        #p.SetBackgroundColour(wx.NamedColour("Green"))
        
        #self.burnInfo = wx.StaticText(p, -1, message, wx.Point(10, 2), style = wx.ALIGN_CENTRE)
        self.burnInfo = wx.TextCtrl(p, -1, message, pos=wx.Point(20, 4), size=(h-50,w-50), style=wx.TE_MULTILINE|wx.TE_RICH2)
        self.burnInfo.SetEditable(False)
        self.burnInfo.SetStyle(0, len(message), wx.TextAttr(wx.NullColour, wx.NullColour, self.font))

	sizer.Add(self.burnInfo, 1, wx.EXPAND)

        def close(event):
            #logger.debug("closing Msg class")
            self.Show(False)

        joyButtons = "%s" % config.doClose

	cancelBtn = wx.Button(p, -1, joyButtons, style=wx.CENTER)
        self.Bind(wx.EVT_BUTTON, self.JoyLeft, id=cancelBtn.GetId())
                
	sizer.Add(cancelBtn, 0, wx.EXPAND)

	p.SetSizer(sizer)
        p.SetAutoLayout(1)
        sizer.Fit(p)

	FocusManager.manager.Register(self.name, self)
	FocusManager.manager.SetFocus(self.name)

        self.Centre(wx.BOTH)
        self.Show(True)
    
    def JoyLeft(self, Evt=None):
	FocusManager.manager.Unregister(self.name)
	self.Destroy()

