#!/usr/bin/python
# -*- coding: utf-8 -*-

import wx, sys, os
import LoadConfig

#------------------------------------------------------------------------
class GlobalVars:
    def __init__(self, logger=None):

        self.logger = logger
        self.config = LoadConfig.LoadConfig()

	#------------------------------------------------------
	# Partial config for GUI sizes and colors
	#------------------------------------------------------

        self.guiSize = wx.Size(1016, 750)
	self.SelPanelColor = wx.Colour(250, 100, 0)
	self.NorPanelColor = wx.Colour(250, 255, 255)

	#------------------------------------------------------
	# Partial config for GUI sizes and colors
	#------------------------------------------------------


    def setLoggedUserID(self, VarValue):
        self.LoggedUserID = VarValue

    def setLoggedUser(self, VarValue):
        self.LoggedUser = VarValue

    def setSwitchMainTreeFlag(self, VarValue):
        self.SWMTF = VarValue

    def SetTreeType(self, VarValue):
        self.treeType = VarValue

    def LoadLangs(self):
        import MySQLdb
        db = MySQLdb.connect(host=self.DBhost, user=self.DBuser, passwd=self.DBpass, db=self.DB)
	cursor = db.cursor()
        sql = "SELECT lang FROM lang WHERE userid=%s" % (self.LoggedUserID)
	cursor.execute(sql)
	result = cursor.fetchall()
	self.lang = ''
	for record in result:
	    #self.lang.append(record[0])
	    if self.lang is not '':
                separator = ', '
            else:
                separator = ''
            self.lang = str(self.lang) + separator + str(record[0])
	if self.lang:
            return True
        else:
            return False
    
    #---------------------------------------------
    def FullReset(self):
        logmsg = "FullReset() called"
        msg = "calling burnstation script...(it must be on your path, or you will be dropped out)"
        logmsg = "FullReset() will release after this point..ciao!"
        self.logger.info(logmsg)
        os.system('burnstation')

constants = GlobalVars()
