#!/usr/bin/python
# -*- coding: utf-8 -*-

import wx
import MySQLdb
import re

#---------------------------------------------------------------------------

class LanguageBox(wx.Panel):
    def __init__(self, parent, globalVars, mainframe):
        self.GVars = globalVars
	self.parent = parent
	self.mainframe = mainframe

	wx.Panel.__init__(self, parent, -1)
        wx.StaticText(self, -1, "Select your favorite languages", (10, 10))

        tmp = None
        cb1 = wx.CheckBox(self, -1, "  English", (65, 60), (150, 20), wx.NO_BORDER)
        cb2 = wx.CheckBox(self, -1, "  Spanish", (65, 40), (150, 20), wx.NO_BORDER)
        cb3 = wx.CheckBox(self, -1, "  French", (65, 80), (150, 20), wx.NO_BORDER)
        cb4 = wx.CheckBox(self, -1, "  Deutch", (65, 100), (150, 20), wx.NO_BORDER)
	
        tmp = re.search("1", self.GVars.lang)
	if tmp is not None:
            print "setting ENG as selected lang"
            cb1.SetValue(True)
	    tmp = None # resetting tmp

        tmp = re.search("2", self.GVars.lang)
	if tmp is not None:
            print "setting ENG as selected lang"
            cb2.SetValue(True)
	    tmp = None # resetting tmp

        tmp = re.search("3", self.GVars.lang)
	if tmp is not None:
            print "setting ENG as selected lang"
            cb3.SetValue(True)
	    tmp = None # resetting tmp

        tmp = re.search("4", self.GVars.lang)
	if tmp is not None:
            print "setting ENG as selected lang"
            cb4.SetValue(True)
	    tmp = None # resetting tmp

        # setup empty warning
        self.warning = wx.StaticText(self, -1, "", (10, 160))
        
	CloseButton = wx.Button(self, -1, "close", wx.Point(65, 130))
        self.Bind(wx.EVT_BUTTON, self.OnCloseButton, id=CloseButton.GetId())

        self.Bind(wx.EVT_CHECKBOX, self.EvtCheckBoxEN, cb1)
        self.Bind(wx.EVT_CHECKBOX, self.EvtCheckBoxSP, cb2)
        self.Bind(wx.EVT_CHECKBOX, self.EvtCheckBoxFR, cb3)
        self.Bind(wx.EVT_CHECKBOX, self.EvtCheckBoxDE, cb4)

    def EvtCheckBoxEN(self, event):
	status = event.IsChecked()
	self.UpdateLang(self.GVars.LoggedUserID, 1, status)

    def EvtCheckBoxSP(self, event):
	status = event.IsChecked()
	self.UpdateLang(self.GVars.LoggedUserID, 2, status)

    def EvtCheckBoxFR(self, event):
	status = event.IsChecked()
	self.UpdateLang(self.GVars.LoggedUserID, 3, status)

    def EvtCheckBoxDE(self, event):
	status = event.IsChecked()
	self.UpdateLang(self.GVars.LoggedUserID, 4, status)

    def UpdateLang(self, user, lang, status):
        db = MySQLdb.connect(host=self.GVars.DBhost, user=self.GVars.DBuser, passwd=self.GVars.DBpass, db=self.GVars.DB)
        cursor = db.cursor()
        
	if status == 0:
            sql = "DELETE FROM lang WHERE userid=%s AND lang='%s'" % (user, lang)
        elif status == 1:
            sql = "INSERT IGNORE INTO lang SET userid=%s, lang='%s'" % (user, lang)
        cursor.execute(sql)
    
        print "executed SQL: %s" % sql

        self.GVars.LoadLangs() # Reload list of langs to GVars

    def OnCloseButton(self, event):
        if self.GVars.lang == '':
            self.warning.SetLabel('You *must* choose at least\none language')
	    print "WARNING: NOT CLOSING, must select at least 1 lang"
        else:
            self.parent.Show(False)
            print "closing parent"
            if self.GVars.SWMTF == 1:
	        print "carguemos el audioreports tree"
		print self.parent.pariente
		self.mainframe.SwitchMainTree()
#---------------------------------------------------------------------------
def run(self, frame, globalVars, mainframe):
    win = LanguageBox(frame, globalVars, mainframe)
    return win

#---------------------------------------------------------------------------
# misc functions
#---------------------------------------------------------------------------

