#!/usr/bin/python
# -*- coding: utf-8 -*-

import sys
import wx
import MySQLdb
import gv
import datetime
import LoadConfig
from ErrorsHandler import *
config = LoadConfig.LoadConfig()

try:
    db = MySQLdb.connect(host=config.DBhost, user=config.DBuser, passwd=config.DBpass, db=config.DB)
except Exception, e:
   logger.error("ERROR: %s" % e)
   sys.exit(1)

class login:
    def __init__(self):
        self.NewPlaylistID = None
	self.OldPlaylistID = None
        
	# try to get playlists flagged as "failed"
        cursor = db.cursor()
        cursor.execute("SELECT id FROM netjuke_plists WHERE recover='1'")
	result = cursor.fetchall()
	for record in result:
	    self.OldPlaylistID = record[0]
        db.close()   
	
	if self.OldPlaylistID is not None: self.NewPlaylistID = self.OldPlaylistID
	else: self.NewPlaylistID = self.CreatePlaylist()

    def CreatePlaylist(self):
        '''Create a new playlist. Returns the ID of the new playlist.'''

        timestamp = datetime.datetime.now().strftime("%Y%m%d%H%M%S")

	db = MySQLdb.connect(host=config.DBhost, user=config.DBuser, passwd=config.DBpass, db=config.DB)
        cursor = db.cursor()
        cursor.execute("INSERT INTO netjuke_plists SET title='New Playlist', us_email=%s, created=now()", (timestamp))
        playlistID = db.insert_id()
        db.close()

        return playlistID
